function fish_prompt
	and set retc green
    or set retc red
    tty | string match -q -r tty
    and set tty tty
    or set tty pts

    # Corner

    set_color $retc
    if [ $tty = tty ]
        echo -n .-
    else
        echo -n '┬─'
    end

    # Date

    set_color normal
    set_color $retc
    set_color -o green
    echo -n '['
    set_color normal
    set_color $retc
    echo -n (date +%X)
    set_color -o green
    echo -n ]

    # PWD

    set_color normal
    set_color $retc
    if [ $tty = tty ]
        echo -n '-'
    else
        echo -n '─'
    end
    set_color -o green
    echo -n [
    set_color normal
    set_color FFF
    echo -n (pwd|sed "s=$HOME=~=")
    set_color -o green
    echo -n ']'

    # Git Branch

    set_color normal
    set_color $retc
    set branch (git rev-parse --abbrev-ref HEAD ^ /dev/null)
    if [ $branch ]
	if [ $tty = tty ]
	    echo -n '-'
	else
	    echo -n '─'
	end
	set_color -o green
        echo -n '['
	set_color -o 89C3CA
	echo -n $branch
	set_color -o green
        echo -n ]
    end

    # Don't know

    if type -q acpi
        if [ (acpi -a 2> /dev/null | string match -r off) ]
            echo -n '─['
            set_color -o red
            echo -n (acpi -b|cut -d' ' -f 4-)
            set_color -o green
            echo -n ']'
        end
    end
    echo
    set_color normal
    for job in (jobs)
        set_color $retc
        if [ $tty = tty ]
            echo -n '; '
        else
            echo -n '│ '
        end
        set_color brown
        echo $job
    end
    set_color normal
    set_color $retc
    if [ $tty = tty ]
        echo -n "'->"
    else
        echo '│'
        echo -n '╰─│'
        set_color -o brred
	echo -n 'Ͻᗏ(င°⩾'
    end
    set_color -o red
    echo -n ' '
    set_color normal
end
